Subject: [mobile-ip] Question about the prefix length field of Router Advertisement

From: "Chae-yong Chong" <[email-masked]>
Date: Mon, 3 Sep 2001 17:08:50 +0900

Hi.

I got an question about the "prefix length" field of Router Advertisemt in Moblie IPv6.
According to the RFC2462:

5.5.3 Router Advertisement Processing

       If the sum of the prefix length and interface identifier length
       does not equal 128 bits, the Prefix Information option MUST be
       ignored.  An implementation MAY wish to log a system management
       error in this case. It is the responsibility of the system
       administrator to insure that the lengths of prefixes contained in
       Router Advertisements are consistent with the length of interface
       identifiers for that link type. Note that interface identifiers
       will typically be 64-bits long and based on EUI-64 identifiers as
       described in [ADDR-ARCH].

I understand that the Router should advertise 64bits long network prefix to enable
a host to form the globally unique address by combining this netowk prefix and
host's interface identifer(whch is typically 64bits long)

In Mobile IPv6 said the Modified Prefix information which include the Router's global 
address is required for this following reasons.

    -  To allow a home agent (a router) to learn the address of all
       other home agents on the link for which it is providing home
       agent service, for use in building its Home Agents List as
       part of the dynamic home agent address discovery mechanism
       (Sections 9.8 and 10.8).

    -  To allow a mobile node to send a Binding Update to a router on
       the link on which its previous care-of address is located, for
       purposes of establishing forwarding from this previous care-of
       address to its new care-of address (Section 10.10).

From these two statement, I get a question.
If Router is located in /48 network and acts as an HA. If a mobile node
moved to this network and send a Router solicitation. The Mobile Node
needs a COA. For MN to form the COA by stateless address autoconfiguration, 
it should got a Router Advertisement which include 64 bits long network prefix.
But, the Router is located in the /48 network. 
In this case how does MN form a COA?

Sincerely
Chae-yong